Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drupal.project.async_command
Enum EncryptedFieldAdapter.Method

    java.lang.Object
      java.lang.Enum<EncryptedFieldAdapter.Method>
          org.drupal.project.async_command.EncryptedFieldAdapter.Method

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EncryptedFieldAdapter.Method>

Enclosing class:
  EncryptedFieldAdapter

    public static enum EncryptedFieldAdapter.Method

extends java.lang.Enum<EncryptedFieldAdapter.Method>

Encryption method.

Enum Constant Summary
`BASE64` Encrypted using base64 algorithm.
`MCRYPT` Encrypted using the MCRYPT method.
`NONE` Not encrypted.

Method Summary
`static EncryptedFieldAdapter.Method` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EncryptedFieldAdapter.Method[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final EncryptedFieldAdapter.Method NONE

  Not encrypted.

### BASE64

    public static final EncryptedFieldAdapter.Method BASE64

  Encrypted using base64 algorithm. No secret key involded.

### MCRYPT

    public static final EncryptedFieldAdapter.Method MCRYPT

  Encrypted using the MCRYPT method. `http://php.net/manual/en/book.mcrypt.php`

Method Detail

### values

    public static EncryptedFieldAdapter.Method[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EncryptedFieldAdapter.Method c : EncryptedFieldAdapter.Method.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EncryptedFieldAdapter.Method valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD